> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload avatar.

> 
    USER: true
    SERVICE ACCOUNT: false
    



## OpenAPI

````yaml post /api/v1/me/uploadAvatar
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/me/uploadAvatar:
    post:
      tags:
        - Me
      summary: Upload avatar.
      description: |2-

            USER: true
            SERVICE ACCOUNT: false
            
      operationId: MeController_myUserUploadImage
      parameters: []
      requestBody:
        required: true
        description: Avatar
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FileUploadDto'
      responses:
        '201':
          description: File uploaded.
        '400':
          description: Bad request missing either userId or file.
        '502':
          description: Bad storage server configuration.
      security:
        - bearer: []
components:
  schemas:
    FileUploadDto:
      type: object
      properties:
        file:
          type: string
          format: binary
      required:
        - file
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````